Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043396
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2020-03-03 11:082020-04-09 09:39
ReportermaiteView Statuspublic 
Assigned Tocberner 
PriorityurgentResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revisione8ed5b260947
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesUser Interface Selector
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043396: In case selected record does not belong to the first page of records, it is removed when selecting a new record

DescriptionIn case selected record does not belong to the first page of records, it is removed when selecting a new record
Steps To Reproduce0. In an environment with more than 100 business partners (attached file to create them using Initial Data Load module)
1. Go to Payables Aging Schedule window, open Business Partner selector, scroll down until the end and select a record and press OK
2. Open Business Partner selector again and select the first record and press OK. Realize that previously added business partner has been deleted
TagsNo tags attached.
Attached Filescsv file icon bpimport.csv [^] (12,786 bytes) 2020-03-03 11:08

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039644 closedalostale Add product p&e is not sorting the selected records when clearing filters 
has duplicate defect 0028923 closedplatform The multiple selector on the processdefinition does not maintain the selections of records from a position bigger than 76 

-  Notes
(0118942)
cberner (developer)
2020-04-06 10:44

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/51 [^]
(0119109)
hgbot (developer)
2020-04-09 08:18

Repository: erp/devel/pi
Changeset: e8ed5b26094715f03a44a177e41e1ca9a0c4585b
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Thu Apr 09 07:56:46 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e8ed5b26094715f03a44a177e41e1ca9a0c4585b [^]

Fixes ISSUE-43396: Multiselectors don't keep selection on multiple pages

In a multiple selectors, when a selected record was not in first page
and the selector was reopened, the record was not keep as selected. This
was becasue selectors datasource request assumes all selected records
were returned and selected records were not sorted on top of the rest.

This is fixed by using the same method P&E multiselection uses to:
  * Sort selected records on top of the rest
  * Check whether the full selection fits in the page size to increase
    it if neccessary to ensure the whole selection is returned in the
    request.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonConstants.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorComponent.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorConstants.java
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0119110)
hgbot (developer)
2020-04-09 08:18

Repository: erp/devel/pi
Changeset: dd410a29164518fe9db0e6d03a8d24df7cb49025
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Thu Apr 09 08:09:29 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/dd410a29164518fe9db0e6d03a8d24df7cb49025 [^]

related to ISSUE-43396: fixed duplicates in multi selection

Both P&E and multiselector duplicated entries of selected records on
pages after the first one.

Fixed by removing those duplicates while preparing the selection.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---

- Issue History
Date Modified Username Field Change
2020-03-03 11:08 maite New Issue
2020-03-03 11:08 maite Assigned To => platform
2020-03-03 11:08 maite File Added: bpimport.csv
2020-03-03 11:08 maite Modules => User Interface Selector
2020-03-03 11:08 maite Triggers an Emergency Pack => No
2020-03-03 11:08 maite Issue Monitored: networkb
2020-03-11 16:13 alostale Relationship added related to 0028923
2020-03-24 18:17 cberner Assigned To platform => cberner
2020-04-06 10:43 cberner Status new => scheduled
2020-04-06 10:44 cberner Note Added: 0118942
2020-04-06 10:44 cberner Review Assigned To => alostale
2020-04-09 08:18 hgbot Checkin
2020-04-09 08:18 hgbot Note Added: 0119109
2020-04-09 08:18 hgbot Status scheduled => resolved
2020-04-09 08:18 hgbot Resolution open => fixed
2020-04-09 08:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e8ed5b26094715f03a44a177e41e1ca9a0c4585b [^]
2020-04-09 08:18 hgbot Checkin
2020-04-09 08:18 hgbot Note Added: 0119110
2020-04-09 08:30 alostale Relationship replaced has duplicate 0028923
2020-04-09 08:35 alostale Relationship added related to 0039644
2020-04-09 09:39 alostale Status resolved => closed
2020-04-09 09:39 alostale Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker